#' @title Data for Table1.1 from Generalized Linear Mixed Models: Modern Concepts, Methods and Applications by Walter W. Stroup
#' @name   Table1.1
#' @docType data
#' @keywords datasets
#' @usage data(Table1.1)
#' @description \code{Table1.1} is used for inspecting probability distribution and to define a plausible process.
#' @format A \code{data.frame} with 11 rows and 3 variables.
#'
#' @details
#'        \itemize{
#'        \item x independent variable
#'        \item Nx bernouli trials (bernouli outcomes on each individual)
#'        \item y number of successes on each individual
#'        }
#'
#' @author
#' \enumerate{
#'     \item Muhammad Yaseen (\email{myaseen208@gmail.com})
#'     \item Adeela Munawar (\email{adeela.uaf@gmail.com})
#'    }
#'
#' @references
#' \enumerate{
#' \item Stroup, W. W. (2012).Generalized linear mixed models: modern concepts, methods and applications.
#'              CRC press.
#'  }
#'
#'
#' @examples
#' library(StroupGLMM)
#' data(Table1.1)
NULL
